# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2016-12-22 22:58
from __future__ import unicode_literals

from django.db import migrations


def image_sets(apps, schema_editor):
    Post = apps.get_model("blog", "Post")
    ImageSet = apps.get_model("pinax_images", "ImageSet")
    db_alias = schema_editor.connection.alias
    for post in Post.objects.using(db_alias).all():
        if post.image_set is None:
            post.image_set = ImageSet.objects.using(db_alias).create(created_by=post.author)
            post.save()


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0011_post_image_set'),
    ]

    operations = [
        migrations.RunPython(image_sets)
    ]
