# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2016-12-22 23:01
from __future__ import unicode_literals

from django.db import migrations


def migrate_images(apps, schema_editor):
    Post = apps.get_model("blog", "Post")
    PinaxImage = apps.get_model("pinax_images", "Image")
    db_alias = schema_editor.connection.alias
    for post in Post.objects.using(db_alias).all():
        for image in post.images.all():
            pi = PinaxImage.objects.using(db_alias).create(
                created_by=post.author,
                created_at=image.timestamp,
                image=image.image_path,
                original_filename=image.image_path.name.split("/")[-1],
                image_set=post.image_set
            )
            if post.primary_image == image:
                post.image_set.primary_image = pi
                post.image_set.save()


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0013_imageset_not_null'),
    ]

    operations = [
        migrations.RunPython(migrate_images)
    ]
